> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.solidbrush.md).

# SolidBrush

Namespace: **System.Drawing**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Defines a brush made up of a single color. Brushes are used to fill graphics shapes such as rectangles, ellipses, pies, polygons, and paths.

{% tabs %}
{% tab title="C#" %}

```csharp
public class SolidBrush : Brush
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class SolidBrush
    Inherits Brush
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/gN3G3VR5GgQngV3jdnfJ) SolidBrush(color)

Initializes a new instance of the [SolidBrush](/system.drawing.managed/api/system.drawing/system.drawing.solidbrush.md) class.

| Name      | Type                                                                | Description                                                          |
| --------- | ------------------------------------------------------------------- | -------------------------------------------------------------------- |
| **color** | [Color](https://docs.microsoft.com/dotnet/api/system.drawing.color) | A [Color](#color) structure that represents the color of this brush. |

## Properties

### ![](/files/gN3G3VR5GgQngV3jdnfJ) Color

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Gets or sets the color of this [SolidBrush](/system.drawing.managed/api/system.drawing/system.drawing.solidbrush.md) object.

## Methods

### ![](/files/gN3G3VR5GgQngV3jdnfJ) Clone()

**Returns:** [Object](https://docs.microsoft.com/dotnet/api/system.object).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing/system.drawing.solidbrush.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
